Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.htmlgen
Class GenerateHTMLAction

    java.lang.Object
      javax.swing.AbstractAction
          biouml.model.htmlgen.GenerateHTMLAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.io.Serializable

public class GenerateHTMLAction
extends javax.swing.AbstractAction

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DIAGRAM`
`static java.lang.String` | `KEY`
`static java.lang.String` | `MODULE`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`GenerateHTMLAction()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY

    public static final java.lang.String KEY

See Also:
  Constant Field Values

### MODULE

    public static final java.lang.String MODULE

See Also:
  Constant Field Values

### DIAGRAM

    public static final java.lang.String DIAGRAM

See Also:
  Constant Field Values

Constructor Detail

### GenerateHTMLAction

    public GenerateHTMLAction()

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.